/*-----MAIN-----*/

main {

    width: 100%;
    height: var(--height-main);

    display: flex;
    justify-content: center;
    align-items: center;
}

.bbx_main {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr);

    justify-items: center;
    align-items: center;

    transform: translateX(0);
    transition: 0.5s;
}

.box_main_art {
    border-radius: 15px;

    width: 95%;
    height: 95%;

    background-image: url("../icons/icon_xadija_gold.jpeg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    display: flex;
    align-items: flex-end;

    overflow: hidden;
}

.box_main_art::before {
    content: '';

    width: 100%;
    height: 100%;

    background: linear-gradient(0deg, #00000082 0%, transparent 20%, transparent 80%, #00000082 120%);

    position: absolute;
    bottom: 0;
    left: 0;
}

.box_mention_art {
    padding: 0 10px;

    width: 100%;
    height: 45px;

    box-sizing: border-box;

    display: flex;
    align-items: center;
    justify-content: flex-end;

    position: absolute;
    top: 0;
}

.btn_acheter_art {
    padding: 4px 7px;

    background-color: var(--col-gold-1);

    font-size: 1em;
    color: black;

    border-radius: 5px;
}

.btn_acheter_art:hover{
    box-shadow: 2px 2px 5px rgb(81, 81, 81);
    scale: 1.05;
}

.btn_acheter_art a{
    width: 100%;
    height: 100%;
}

.btn_close_fullscreen {
    width: 35px;
    aspect-ratio: 1/1;

    display: none;

    position: absolute;
    top: 70%;
    left: 50%;

    transform: translate(-50%, -50%);

    box-shadow: 1px 1px 3px #656565;

    border-radius: 50%;
    scale: 1;

    transition: 0.25s;
}

.btn_close_fullscreen:hover {
    scale: 1.1;
    transform: translate(-46.5%, -46.5%);
    transition: 0.25s;
}

.btn_fullscreen_active {
    display: block;
}

.icon_coeur {
    width: 25px;
    height: auto;
}

.icon_coeur path {
    fill: #00000000;
    stroke: white;
    stroke-width: 2px;
    stroke-linejoin: round;
}

.icon_coeur:hover {
    scale: 1.1;
    filter: drop-shadow(1px 1px 1px var(--col-gold-1));
}

.icon_coeur:hover path {
    fill: var(--col-gold-1);
    stroke: var(--col-gold-1);
}

.icon_coeur_active path {
    fill: var(--col-gold-1);
    stroke: var(--col-gold-1);
}

.icon_coeur_active:hover {
    scale: 1;
    filter: drop-shadow(0px 0px 0px goldenrod);
}

.icon_coeur_active:hover path {
    fill: goldenrod;
    stroke: goldenrod;
}

.box_caracts_art {
    padding: 5px;

    width: 100%;
}

.p_nom_art {
    font-size: 0.8em;

    white-space: nowrap;
    text-overflow: ellipsis;
    color: white;

    overflow: hidden;
}

.p_prix_art {
    font-weight: bold;

    white-space: nowrap;
    text-overflow: ellipsis;
    color: var(--col-gold-1);

    overflow: hidden;
}

.p_prix_art span {
    padding: 0 5px;
    display: inline;

    font-size: 0.7em;
    font-weight: normal;
    color: white;
}

/*----- styles box_caracts_art en mode fullscreen ----- */

.fullscreen-overlay {
    width: 100%;
    height: 100%;

    background-color: #ffffff66;
    background-size: contain;

    backdrop-filter: blur(12px);

    border-radius: 0px;

    position: absolute;
    z-index: 2;
}

.fullscreen-overlay .p_nom_art {
    max-height: 3.5em;
    font-size: 1.4em;
    white-space: wrap;
    text-overflow: ellipsis;
    word-break: break-all;

}

.fullscreen-overlay .p_prix_art {
    font-size: 1.5em;
}

/*---LA BOITE BOX-MAIN-EMPTY - LA BOITE QUI APPARAIT APRES TOUS LES ARTICLES*/

.bbx_main_empty {
    background: rgb(254 246 221 / 97%);
    color: #000000;
    width: 80%;
    height: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 3em;
    border-radius: 1em;
    padding: 2em;
    text-align: center;
    box-shadow: 0 0 20px gray;
    box-sizing: border-box;
    animation: glowBox 3s infinite alternate;
}

.bbx_main_empty h1 {
    font-size: 2.5em;
    /*margin-bottom: 0.5em;*/
    animation: bounceTitle 2s infinite;
}

.bbx_main_empty p:first-child {
    font-size: 1.2em;
    /*margin-bottom: 1.5em;*/
}

.box_next_navigate h2 {
    font-size: 1.4em;
    margin-bottom: 1em;
}

.box_btn_revoir_art button {
    background: var(--col-gold-1);
    color: var(--col-black-1);
    border: none;
    padding: 0.8em 1.5em;
    /*margin: 0 0.5em;*/
    border-radius: 0.5em;
    font-weight: bold;
    cursor: pointer;
    transition: transform 0.3s, background 0.3s;
}

.box_btn_revoir_art button:hover {
    transform: scale(1.1);
    background: #ffd700;
}

.box_btn_revoir_art {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5em;
}

.notif_app {
    font-size: 0.8em;
    color: #575656;
    position: absolute;
    bottom: 1em;
}

.notif_app .btn_install {
    display: inline-block;
    /*margin-left: 1em;*/
    background: var(--col-gold-1);
    color: var(--col-black-1);
    padding: 0.4em 1em;
    border-radius: 0.5em;
    font-weight: bold;
    cursor: pointer;
    transition: transform 0.3s, background 0.3s;
}

.notif_app .btn_install:hover {
    transform: scale(1.1);
    background: #ffd700;
}

/* Animation d’apparition */
@keyframes slideUp {
    from {
        transform: translateY(100%);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

/* Animations */
@keyframes glowBox {
    from {
        box-shadow: 0 0 5px gray;
    }

    to {
        box-shadow: 0 0 20px gray;
    }
}

@keyframes bounceTitle {

    0%,
    100% {
        transform: translateY(0);
    }

    50% {
        transform: translateY(-10px);
    }
}

/*----------MEDIA QUERY------------------*/

@media screen and (max-width: 450px) {
    .bbx_main_empty {
        gap: 1em;
    }
}

@media screen and (max-width: 375px) {

    .bbx_main_empty {
        width: 90%;
    }

    .bbx_main_empty h1 {
        font-size: 2em;
    }

    .box_next_navigate h2 {
        font-size: 1em;
    }

    .notif_app {
        padding: 10px;
        bottom: 0px;
    }
}